<!DOCTYPE html>
<html>
	<head>
		<?php include $_SERVER['DOCUMENT_ROOT'].'/src/common-meta.php';?>
		<title>9iron - Modded Minecraft Setup</title>
	</head>
	<body>
		<?php include $_SERVER['DOCUMENT_ROOT'].'/src/common-header.php';?>
		<div class="content">
			<div class="section">
				<h1>Setting Up Modded Minecraft</h1>
				<p>This guide will set you up with the following:</p>
				<ul>
					<li>Java, because that's <em>still</em> a pain in the dick to set up</li>
					<li>A new Minecraft game launcher to help organize modpacks</li>
					<li>Whatever modpack we're playing</li>
				</ul>
			</div>
			<div class="section" id="java">
				<h1>1. Installing Java</h1>
				<ol>
					<li>Download <a href="https://sdlc-esd.oracle.com/ESD6/JSCDL/jdk/8u251-b08/3d5a2bb8f8d4428bbe94aed7ec7ae784/jre-8u251-windows-x64.exe?GroupName=JSC&FilePath=/ESD6/JSCDL/jdk/8u251-b08/3d5a2bb8f8d4428bbe94aed7ec7ae784/jre-8u251-windows-x64.exe&BHost=javadl.sun.com&File=jre-8u251-windows-x64.exe&AuthParam=1593609737_aee69d42e03369a5aed61477a858b110&ext=.exe">the 64-bit edition of Java 8</a></li>
					<li>Run it</li>
					<li>You're done</li>
				</ol>
			</div>
			<div class="section" id="multimc">
				<h1>2. Installing MultiMC</h1>
				<p>MultiMC is the launcher that we use to organize our modpacks. It has a number of features to make pack installation easier.</p>
				<ol>
					<li>Download <a href="https://multimc.org/#Download">MultiMC</a></li>
					<li>Extract the zip file somewhere, like your desktop or Documents</li>
					<li>Run <code>multimc.exe</code></li>
				</ol>
				<p>MultiMC will then run you through basic setup. You can accept the defaults, but change the following:</p>
				<ul>
					<li>On the page where it asks you to set up Java, set these values:</li>
					<ul>
						<li>Set "Maximum Memory Allocation" to 4096MB</li>
						<li>Set "Minimum Memory Allocation" to 1024MB</li>
					</ul>
				</ul>
				<p>After that, it'll drop you to the main screen and you can progress to the next step.</p>
			</div>
			<div class="section" id="pack">
				<h1>3. Installing a Modpack</h1>
				<p>Packs on the server, as of the time of writing this document, will from now on be provided in a format that's much easier to use with MultiMC. If, for whatever reason, you have to install one that <em>isn't</em>, flag down a moderator and have them show you. It's honestly a pretty involved process.</p>
				<ol>
					<li>Open MultiMC</li>
					<li>Hit the "Add Instance" button in the upper-left</li>
					<li>Pick the option on the left called "Import from Zip"</li>
					<li>Copy the pack download link from the previous page and stick it in the URL</li>
					<li>Click OK</li>
				</ol>
				<p>This will set you up with a nice, shiny new instance with all the mods ready to go. Double-click it to launch it.</p>
				<p>If MultiMC prompts for it, be sure to set up your Minecraft account.</p>
			</div>
			<div class="section" id="joining">
				<h1>4. Joining a Server</h1>
				<p>This one's pretty easy, thankfully</p>
				<ol>
					<li>Copy the server URL (something like <code>modpack.mc.9iron.club</code>)</li>
					<li>Open the game, go to Multiplayer, and click "Add Server"</li>
					<li>Stick whatever name you want in the name field and paste the server URL in the "IP Address" field</li>
					<li>Double-click it to join</li>
				</ol>
			</div>
		</div>
		<?php include $_SERVER['DOCUMENT_ROOT'].'/src/common-footer.php';?>
		</div>
	</body>
</html>
