<!DOCTYPE html>
<html>
	<head>
		<?php include $_SERVER['DOCUMENT_ROOT'].'/src/common-meta.php';?>
		<link href="/styles/buttons.css" type="text/css" rel="stylesheet" />
		<!-- These are just to make the big buttons look nice. Feel free to block -->
		<link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/fork-awesome@1.1.7/css/fork-awesome.min.css" integrity="sha256-gsmEoJAws/Kd3CjuOQzLie5Q3yshhvmo7YNtBG7aaEY=" crossorigin="anonymous">
		<title>9iron</title>
	</head>
	<body>
		<?php include $_SERVER['DOCUMENT_ROOT'].'/src/common-header.php';?>
		<div class="content">
			<h1>Core Services</h1>
			<div class="iconbuttoncontainer">
				<a href="https://git.9iron.club" class="iconbutton">
					<i class="fa fa-gitea"></i>
					<h1>Gitea</h1>
					<p>Git repository host and related services</p>
				</a>
				<a href="https://nc.9iron.club" class="iconbutton">
					<i class="fa fa-nextcloud"></i>
					<h1>Nextcloud</h1>
					<p>File storage and collaboration, feed reader, task organizer, and more</p>
				</a>
				<a href="/matrix" class="iconbutton">
					<i class="fa fa-matrix-org"></i>
					<h1>Matrix</h1>
					<p>Federated messaging client, more similar to Slack than Discord</p>
				</a>
			</div>
			<h1>Secondary Services</h1>
			<div class="iconbuttoncontainer">
				<a href="https://cowfee.moe" class="iconbutton">
					<i class="fa fa-pleroma"></i>
					<h1>Pleroma</h1>
					<p>Federated microblogging service, similar to Twitter</p>
				</a>
				<a href="https://monitor.9iron.club" class="iconbutton">
					<i class="fa fa-bar-chart"></i>
					<h1>Grafana</h1>
					<p>Centralized statistics dashboard</p>
				</a>
			</div>
			<h1>Games</h1>
			<div class="iconbuttoncontainer">
				<a href="/minecraft" class="iconbutton">
					<i class="fa fa-gamepad"></i>
					<h1>Minecraft</h1>
					<p>Modded Minecraft is one of our most-common time wasters</p>
				</a>
				<a href="/terraria" class="iconbutton">
					<i class="fa fa-gamepad"></i>
					<h1>Terraria</h1>
					<p>A game we've sunk just as much time into as Minecraft. Sometimes modded, sometimes not</p>
				</a>
				<a href="/gmod" class="iconbutton">
					<i class="fa fa-gamepad"></i>
					<h1>Garry's Mod</h1>
					<p>It's second banana to other games, but we may have a server up from time to time</p>
				</a>
			</div>
		</div>
		<?php include $_SERVER['DOCUMENT_ROOT'].'/src/common-footer.php';?>
	</body>
</html>
