<!DOCTYPE html>
<html>
	<head>
		<?php include $_SERVER['DOCUMENT_ROOT'].'/src/common-meta.php';?>
		<link rel="shortcut icon" href="/favicon.ico" />
		<title>9iron - Nightly Blogpost Time</title>
	</head>
	<body>
		<div class="container">
			<?php include $_SERVER['DOCUMENT_ROOT'].'/src/common-header.php';?>
			<div class="content">
				<div class="section">
					<h1>Nightly Blogpost Time</h1>
					<p>I work second shift, currently, which puts me going to bed at like 4-5AM, sometimes 6-7 depending on my shift. Naturally, <em>no</em> sensible motherfucker is up at this hour, which gives me a lot of time to do nothing but write code and dump my thoughts.</p>
					<p>I'm really enjoying just how much thoughtless (thoughtful?) garbage I'm able to throw at this terminal in a night. It really helps precipitate my thoughts into more solid opinions, for sure.</p>
					<p>But enough about that.</p>
					<p>Today was pretty nice. Played a lot of modded MC and wrote up a good few pages documenting my setup. At this rate, I'm probably gonna decomm the dokuwiki and just write it all out here. Looks a lot cleaner over here.</p>
					<p>I feel like I'm starting to get the hang of minimalist webdev. Regardless, my current workflow is... messy, to say the least. I really shouldn't be dicking around knee-deep in HTML for every post when I could write a small preprocessor. I <em>really</em> need to sort out deployment, too. Currently, I just remote into the server and <code>sudo git pull</code> the site down every time I write a post, which could be hella automated. And then there's the entire concept of actually working on a feed, which is insanely difficult to do given my workflow.</p>
					<p>See, one of the things I want this site to be (and not necessarily the child sites on this domain) is stateless. I want to be able to clone the repo to a webroot and launch Apache and just have my site. No fuss, no mess. Now I've already broken this paradigm by including modpacks in the webroot in the gitignore'd <code>/files</code> directory, but I'm willing to exclude 200MB binary files for the sake of sanity. But as such, I don't want anything on the box to generate the feed without my intervention.</p>
					<p>I suppose I could automatically generate the feed with a script based on the contents of files in here. It shouldn't be too hard to just copy the contents of a couple tags over in a Python script. And I suppose with that I could just nail a new entry to the top of the file, make a commit, and push it alongside the post.</p>
					<p>Maybe this workflow isn't too bad. Just needs a little glue is all.</p>
					<div class="break"></div>
					<p>I'm hoping that, once I get in the habit of making these posts, I'll have much clearer thoughts planned out. If I make it a habit, I'll start thinking over the course of the day what sort of things I want to include, what thoughts I want to present, etc. As such, I apologize in advance for the next like twenty of these fucking things. They're gonna read like ass, just like this one.</p>
					<p>But that's okay. I'll improve.</p>
					<p>- Salt</p>
				</div>
			</div>
			<?php include $_SERVER['DOCUMENT_ROOT'].'/sidebar.html';?>
			<?php include $_SERVER['DOCUMENT_ROOT'].'/src/common-footer.php';?>
		</div>
	</body>
</html>
